tvecunify(1)

NAME
tvecunify - unify all tvecs with the same name into one tvec

SYNOPSIS
tvecunify [-i infile] [-o outfile] [-r 0/1]

DESCRIPTION
tvecunify searches the input for tvecs that have the same name. Any that do are combined together by replacing all same-named tvecs with a new one long enough to hold them all. The tvec values are concatonated starting with the earliest entry in the stream. If the -r 1 flag is flown, this process is done in reverse-tvec-order (so the last tvec of with a particular name starts the accretion). tvecs without repeated names pass through unchanged. tvecprint will die if two vectors with the same name have different types or number of repetitions.

OPTIONS

-i infile
    Take input from infile, rather than stdin.

-o outfile
    Write tvecs to outfile, rather than stdout.

-r 0/1
    Unify tvecs in normal or reverse order

EXAMPLE
tvecunify -r 1 -i in.tv

BUGS
http://math-atlas.sourceforge.net/faq.html#help

SEE ALSO
atltvecs(7) tvecget(1) tvecunify() tveccat(1) tvecselect(1) tvecratio(1) tvecjoin(1) tvecscale(1) tvecreduce(1) tvecrename(1) tvecprint(1)

AUTHOR
R. Clint Whaley